/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * All information related to the attending physician of the affected person.
 */
@ApiModel(description = "All information related to the attending physician of the affected person.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AttendingPhysician {
  @SerializedName("person")
  private Model103 person = null;

  @SerializedName("address")
  private Model104 address = null;

  @SerializedName("email")
  private String email = null;

  @SerializedName("phone")
  private Model105 phone = null;

  public AttendingPhysician person(Model103 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(value = "")
  public Model103 getPerson() {
    return person;
  }

  public void setPerson(Model103 person) {
    this.person = person;
  }

  public AttendingPhysician address(Model104 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model104 getAddress() {
    return address;
  }

  public void setAddress(Model104 address) {
    this.address = address;
  }

  public AttendingPhysician email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Attending physician&#39;s email.
   * @return email
  **/
  @ApiModelProperty(value = "Attending physician's email.")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public AttendingPhysician phone(Model105 phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Get phone
   * @return phone
  **/
  @ApiModelProperty(value = "")
  public Model105 getPhone() {
    return phone;
  }

  public void setPhone(Model105 phone) {
    this.phone = phone;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AttendingPhysician attendingPhysician = (AttendingPhysician) o;
    return Objects.equals(this.person, attendingPhysician.person) &&
        Objects.equals(this.address, attendingPhysician.address) &&
        Objects.equals(this.email, attendingPhysician.email) &&
        Objects.equals(this.phone, attendingPhysician.phone);
  }

  @Override
  public int hashCode() {
    return Objects.hash(person, address, email, phone);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AttendingPhysician {\n");
    
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

